Bug 204209 - Satellite install.pl fails with restrictive umask.
Satellite install.pl fails with restrictive umask.
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Milan Zazrivec
Red Hat Satellite QA List
Depends On:
Blocks: 462714
  Show dependency treegraph
Reported: 2006-08-26 18:58 EDT by Karl Hastings
Modified: 2011-01-05 17:30 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-01-05 17:30:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karl Hastings 2006-08-26 18:58:50 EDT
Description of problem:
Installer fails with tight umask settings

How reproducible:
Easy to reproduce

Steps to Reproduce:
1. umask 027
2. ./install.pl
Actual results:
Many failures, esp database installation.

Expected results:
Install as normal

Additional info:
install.pl should either set the mode of each file/dir installed or set the
expected umask.
Comment 1 Mike McCune 2007-05-01 11:39:08 EDT
moving this out of the 500 release.  
Comment 3 Clifford Perry 2011-01-05 17:30:10 EST
The RHN Satellite 4.x and RHN Proxy 4.x products have reached their end of life. Please see:

Satellite 4 EOL Errata
 - https://rhn.redhat.com/errata/RHSA-2011-0001.html

RHN Proxy 4 EOL Errata
 - https://rhn.redhat.com/errata/RHSA-2011-0002.html

This bugzilla was reported for a product which is no longer supported. As such we are closing this bugzilla out. If you feel this bug report should be reviewed again since it is valid for a currently supported product version, then please feel free to re-open this bug report. 


Note You need to log in before you can comment on or make changes to this bug.